Package org.eclipse.rdf4j.sail.shacl.ast.targets

## Class Target

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.targets.Target

- All Implemented Interfaces:
    `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.Targetable`
  Direct Known Subclasses:
    `DashAllObjects`, `DashAllSubjects`, `RSXTargetShape`, `TargetClass`, `TargetNode`, `TargetObjectsOf`, `TargetSubjectsOf`

      public abstract class Target
      extends Object
      implements org.eclipse.rdf4j.sail.shacl.ast.Exportable, org.eclipse.rdf4j.sail.shacl.ast.Targetable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Target()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract PlanNode` | `getAdded​(ConnectionsGroup connectionsGroup, Resource[] dataGraph, ConstraintComponent.Scope scope)` |
    `abstract IRI` | `getPredicate()` |
    `abstract String` | `getQueryFragment​(String subjectVariable, String objectVariable, RdfsSubClassOfReasoner rdfsSubClassOfReasoner, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)` |
    `abstract PlanNode` | `getTargetFilter​(ConnectionsGroup connectionsGroup, Resource[] dataGraph, PlanNode parent)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.ast.Exportable

      `toModel`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.ast.Targetable

      `getStatementMatcher, getTargetQueryFragment`

- - ### Constructor Detail

    - #### Target

          public Target()

  - ### Method Detail

    - #### getPredicate

          public abstract IRI getPredicate()

    - #### getAdded

          public abstract PlanNode getAdded​(ConnectionsGroup connectionsGroup,
                                            Resource[] dataGraph,
                                            ConstraintComponent.Scope scope)

    - #### getQueryFragment

          public abstract String getQueryFragment​(String subjectVariable,
                                                  String objectVariable,
                                                  RdfsSubClassOfReasoner rdfsSubClassOfReasoner,
                                                  org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)

    - #### getTargetFilter

          public abstract PlanNode getTargetFilter​(ConnectionsGroup connectionsGroup,
                                                   Resource[] dataGraph,
                                                   PlanNode parent)